Page MenuHomePhabricator

Lock selection to a single side in wikidiff2
Closed, ResolvedPublic1 Estimated Story PointsFeature

Description

Adopt the solution outlined at T285285.

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptJun 29 2021, 6:38 PM
Daimona renamed this task from Lock selection to a single side in diffs to Lock selection to a single side in wikidiff2.Jul 1 2021, 2:44 PM
Daimona updated the task description. (Show Details)
Daimona added a project: wikidiff2.

This should happen after TableDiffFormatter is updated, so we can have a round of QA before we go live in prod.

Daimona changed the subtype of this task from "Bug Report" to "Feature Request".Jul 12 2021, 3:20 PM
Daimona changed the task status from Open to Stalled.Jul 12 2021, 3:23 PM

Making it clear that this task is essentially blocked on its subtask, T285956, passing the QA stage.

Change 711136 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[mediawiki/php/wikidiff2@master] Add CSS classes for locking selection to a single side

https://gerrit.wikimedia.org/r/711136

Daimona changed the task status from Stalled to Open.Aug 10 2021, 2:01 PM
Daimona set the point value for this task to 1.

QA passed.

Change 711149 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[mediawiki/core@master] diff: Add user-select:none to moved paragraph markers

https://gerrit.wikimedia.org/r/711149

Change 711149 merged by jenkins-bot:

[mediawiki/core@master] diff: Add user-select:none to moved paragraph markers

https://gerrit.wikimedia.org/r/711149

Change 711136 merged by jenkins-bot:

[mediawiki/php/wikidiff2@master] Add CSS classes for locking selection to a single side

https://gerrit.wikimedia.org/r/711136

MusikAnimal subscribed.

Moving to QA, but as with the other related tasks we won't actually be able to QA until a new release of wikidiff2 is cut and deployed to the beta cluster. I believe T285856 is tracking that.

Change 712367 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[mediawiki/php/wikidiff2@master] Apply side lock to diff headers and empty lines, too

https://gerrit.wikimedia.org/r/712367

Change 712367 merged by jenkins-bot:

[mediawiki/php/wikidiff2@master] Add CSS classes for side lock to empty lines, too

https://gerrit.wikimedia.org/r/712367

This is great to see! Probably still needs side lock classes added to the diff headers as well.

Daimona changed the task status from Open to Stalled.Aug 18 2021, 11:13 PM

Cannot be tested until T285857 is done for the beta cluster.

This is great to see! Probably still needs side lock classes added to the diff headers as well.

I think the headers are only generated in core, not wikidiff2. T288676 should have fixed that.

Daimona changed the task status from Stalled to Open.Oct 15 2021, 12:13 PM

Verified user can select text from just one column rather than having to copy both columns.
Tested on Safari, Firefox, IE, Chrome, Edge, and Opera